## org.eclipse.m2m.atl.core.ui
Class ATLCoreUIPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.m2m.atl.core.ui.ATLCoreUIPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class ATLCoreUIPlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

The core ui plugin provides a way to launch transformations using the core api.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`ATLCoreUIPlugin()` Creates a new `ATLCoreUIPlugin`.

Method Summary
`static void` `clearConsole()` Clears the ATL Console.
`static ATLCoreUIPlugin` `getDefault()` Returns the shared instance.
`static org.eclipse.swt.graphics.Image` `getImage(java.lang.String path)` Looks for an image in the icons folder.
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String name)` Returns the image descriptor with the given relative path.
`org.eclipse.swt.widgets.Shell` `getShell()`
`void` `start(org.osgi.framework.BundleContext context)`
`static void` `startConsole()` Starts the ATL Console.
`void` `stop(org.osgi.framework.BundleContext context)`
`static void` `stopConsole()` Stops the ATL Console.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ATLCoreUIPlugin

    public ATLCoreUIPlugin()

  Creates a new `ATLCoreUIPlugin`.

Method Detail

### getDefault

    public static ATLCoreUIPlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared instance.

### getImage

    public static org.eclipse.swt.graphics.Image getImage(java.lang.String path)

  Looks for an image in the icons folder.

  Parameters:
    `path` - the image path
  Returns:
    the searched Image

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `Plugin.start(org.osgi.framework.BundleContext)`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractUIPlugin.stop(org.osgi.framework.BundleContext)`

### startConsole

    public static void startConsole()

  Starts the ATL Console.

### stopConsole

    public static void stopConsole()

  Stops the ATL Console.

### clearConsole

    public static void clearConsole()

  Clears the ATL Console.

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String name)

  Returns the image descriptor with the given relative path.

  Parameters:
    `name` - the image name
  Returns:
    the image descriptor

### getShell

    public org.eclipse.swt.widgets.Shell getShell()

Copyright 2007 IBM Corporation and others. All Rights Reserved.